Lucene search

K
cve[email protected]CVE-2022-41890
HistoryNov 18, 2022 - 10:15 p.m.

CVE-2022-41890

2022-11-1822:15:16
CWE-704
web.nvd.nist.gov
47
8
tensorflow
bcast::toshape
int32
crash
fix
vulnerability
patch
github
machine learning
nvd

7.5 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

0.001 Low

EPSS

Percentile

37.0%

TensorFlow is an open source platform for machine learning. If BCast::ToShape is given input larger than an int32, it will crash, despite being supposed to handle up to an int64. An example can be seen in tf.experimental.numpy.outer by passing in large input to the input b. We have patched the issue in GitHub commit 8310bf8dd188ff780e7fc53245058215a05bdbe5. The fix will be included in TensorFlow 2.11. We will also cherrypick this commit on TensorFlow 2.10.1, 2.9.3, and TensorFlow 2.8.4, as these are also affected and still in supported range.

Affected configurations

Vulners
NVD
Node
tensorflowtensorflowRange2.10.02.10.1
OR
tensorflowtensorflowRange2.9.02.9.3
OR
tensorflowtensorflowRange<2.8.4

CNA Affected

[
  {
    "vendor": "tensorflow",
    "product": "tensorflow",
    "versions": [
      {
        "version": ">= 2.10.0, < 2.10.1",
        "status": "affected"
      },
      {
        "version": ">= 2.9.0, < 2.9.3",
        "status": "affected"
      },
      {
        "version": "< 2.8.4",
        "status": "affected"
      }
    ]
  }
]

Social References

More

7.5 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

0.001 Low

EPSS

Percentile

37.0%